Problem with upgrade from 4.0.2 to 4.0.3 Topic is solved

Need help installing Joomla! 4.x? For all Joomla! 4.x installation issues please use this forum.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10
Post Reply
egdotcom
Joomla! Intern
Joomla! Intern
Posts: 91
Joined: Wed Feb 04, 2009 9:23 pm
Location: Bairnsdale, Vic, Australia

Problem with upgrade from 4.0.2 to 4.0.3

Post by egdotcom » Wed Sep 15, 2021 11:25 am

Not sure if this is right place but here goes.

4.0.2 installed as part of a template pack and all great! Thanks!
Message comes up to upgrade to 4.0.3 which I try to do but site shows error message

1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '' at line 1

Way outside my knowledge level - any ideas?

Paul

Aidan38
Joomla! Ace
Joomla! Ace
Posts: 1375
Joined: Mon Aug 06, 2012 8:51 am
Location: France Paris/Grenoble
Contact:

Re: Problem with upgrade from 4.0.2 to 4.0.3

Post by Aidan38 » Wed Sep 15, 2021 3:31 pm

Hello,

can you still access to the backend?
If yes, go to System > Maintenance > Database. Then select Joomla! CMS and clic on Update Structure.
Learn how create your website with Joomla! 4 The book https://cinnk.com/en/books/joomla-4-the-book
Create your online shop with Joomla! & HikaShop https://cinnk.com/en/books/create-your- ... a-hikashop

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 28309
Joined: Mon Oct 27, 2008 9:27 pm
Location: Romerike, Norway

Re: Problem with upgrade from 4.0.2 to 4.0.3

Post by Per Yngve Berg » Wed Sep 15, 2021 5:10 pm

Delete everything. Download Joomla from here https://downloads.joomla.org and start from scratch.

These Quick Start Packages causes nothing but problems and are not supported by Joomla.

You have to address the template vendor that made it.

egdotcom
Joomla! Intern
Joomla! Intern
Posts: 91
Joined: Wed Feb 04, 2009 9:23 pm
Location: Bairnsdale, Vic, Australia

Re: Problem with upgrade from 4.0.2 to 4.0.3

Post by egdotcom » Wed Sep 15, 2021 11:15 pm

Thanks for answers.

Aiden - backend fine - sys database fine when I update structure ... but still the same.
Cant also reset the post-installation messages :-(

Per - understand :-) I asked them and they just told me to update :-(

Its a test site for me to better acquaint myself with J4 and to test template suppliers as my usual supplier seems not interested anymore. So, I can live with it, I suppose. I just wondered if a small but development team could know about.

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 40476
Joined: Sat Apr 05, 2008 9:58 pm

Re: Problem with upgrade from 4.0.2 to 4.0.3

Post by Webdongle » Thu Sep 16, 2021 12:01 am

Joomla updates are designed for and tested on Joomla's official packages. Non official Template packages are often non compatible with official Joomla updates. If producers of non official packages will not take responsibility for updating their own versions then don't use them.

Echo Per Yngve Berg
Delete everything. Download Joomla from here https://downloads.joomla.org and start from scratch.
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"When I'm right no one remembers but when I'm wrong no one forgets".

egdotcom
Joomla! Intern
Joomla! Intern
Posts: 91
Joined: Wed Feb 04, 2009 9:23 pm
Location: Bairnsdale, Vic, Australia

Re: Problem with upgrade from 4.0.2 to 4.0.3

Post by egdotcom » Thu Sep 16, 2021 1:16 am

Thanks - good point. Understood :-)

Thanks again for assistance.


Post Reply

Return to “Installation Joomla! 4.x”